Subject: bug#77502: 31.0.50; Should after-load-functions hook report .eln file names?

From: Stefan Monnier <[email-masked]>
Date: Sat, 05 Apr 2025 11:07:02 -0400

> Not sure if this is a bug or a feature.  We record the *.elc names in
> load-history, and those are the names passed to after-load-functions.
> I've added Stefan and Andrea to this discussion, in case they have
> comments.

It was done on purpose, at least for backward compatibility reasons, but
also because it's easier to find the `.eln` from the `.elc` than
the reverse.

        Stefan